org.apache.geode.cache.partition

## Class PartitionNotAvailableException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.geode.GemFireException
        - - org.apache.geode.cache.partition.PartitionNotAvailableException

- All Implemented Interfaces:
    java.io.Serializable

      public class PartitionNotAvailableException
      extends GemFireException

  This exception is thrown when for the given fixed partition, datastore (local-max-memory > 0) is not available.
  Since:
    GemFire 6.6
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PartitionNotAvailableException()` Creates a new `PartitionNotAvailableException` with no detailed message.
    `PartitionNotAvailableException(java.lang.String message)` Creates a new `PartitionNotAvailableException` with the given detail message.
    `PartitionNotAvailableException(java.lang.String message, java.lang.Throwable cause)` Creates a new `PartitionNotAvailableException` with the given detail message and cause.
    `PartitionNotAvailableException(java.lang.Throwable cause)` Creates a new `PartitionNotAvailableException` with the given cause and no detail message

  - ### Method Summary

    - ### Methods inherited from class org.apache.geode.GemFireException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PartitionNotAvailableException

          public PartitionNotAvailableException()

      Creates a new `PartitionNotAvailableException` with no detailed message.

    - #### PartitionNotAvailableException

          public PartitionNotAvailableException(java.lang.String message)

      Creates a new `PartitionNotAvailableException` with the given detail message.

    - #### PartitionNotAvailableException

          public PartitionNotAvailableException(java.lang.Throwable cause)

      Creates a new `PartitionNotAvailableException` with the given cause and no detail message

    - #### PartitionNotAvailableException

          public PartitionNotAvailableException(java.lang.String message,
                                                java.lang.Throwable cause)

      Creates a new `PartitionNotAvailableException` with the given detail message and cause.